use AMF::Tests;

my $file = shift || 't/1993-12-ns.xml';

#eval " use AMF::Parser::Basic; ";
use AMF::Parser::Basic;
test not($@), $@;

eval " use AMF::Spec::Parsed; ";
test not $@;

my $p;

$p = AMF::Parser::Basic -> new( SPEC => $AMF::Spec );

test $p;

my $res = $p -> parse_file ( $file );
test $res;

# test 0;

use Data::Dumper;
print Dumper( $p -> {LIST} );

